/**
* DO NOT EDIT THIS FILE.
* See the following change record for more information,
* https://www.drupal.org/node/2815083
* @preserve
**/

(function ($) {
  Drupal.facets = Drupal.facets || {};
  Drupal.behaviors.facetsDateRange = {
    attach: function attach(context, settings) {
      function toTimestamp(strDate) {
        var datum = Date.parse(strDate);
        return datum / 1000;
      }

      function autoSubmit() {
        var $this = $(this);
        var facetId = $this.parents(".facets-widget-date_range").find("ul").attr("data-drupal-facet-id");
        var daterange = settings.facets.daterange[facetId];
        var min = toTimestamp($("input[id=".concat(facetId, "_min]")).val()) || "";
        var max = toTimestamp($("input[id=".concat(facetId, "_max]")).val()) || "";
        window.location.href = daterange.url.replace("__date_range_min__", min).replace("__date_range_max__", max);
      }

      $("input.facet-date-range", context).on("change", autoSubmit);
      $("input.facet-date-range", context).on("keypress", function (e) {
        $(this).off("change blur");
        $(this).on("blur", autoSubmit);

        if (e.keyCode === 13) {
          autoSubmit();
        }
      });
    }
  };
})(jQuery);